## collectd 5.12.0

=== contrib/docker/rootfs_prefix/Makefile ===
rootfs_prefix.so: rootfs_prefix.c
	$(CC) -Wall -Werror -fPIC -shared -o rootfs_prefix.so rootfs_prefix.c -ldl

## collectd 4.2.1-0octo3

=== debian/changelog ===
collectd (4.2.1-0octo3) stable; urgency=low

  * Activated the FQDN stuff in the Debian default config. 

 -- Florian octo Forster <octo@noris.net>  Tue, 20 Nov 2007 14:47:17 +0100

collectd (4.2.1-0octo2) stable; urgency=low

  * Added the FQDN dpatch.

 -- Florian octo Forster <octo@dev4.office.noris.de>  Tue, 20 Nov 2007 12:53:32 +0100

collectd (4.2.1-0octo1) stable; urgency=low

  [ Sebastian Harl ]
  * New upstream release.
  * Changed XS-Vcs-* to Vcs-*.
  * Marked advanced rrdtool configuration options as such in collectd.conf.
  * Added exec-munin.px, exec-munin.conf, exec-smartctl and snmp-data.conf to
    /usr/share/doc/collectd/examples/.

  [ Florian octo Forster ]
  * Rebuilt for Etch

 -- Florian octo Forster <octo@noris.net>  Tue, 20 Nov 2007 12:33:21 +0100

collectd (4.2.0-1) experimental; urgency=low

  * New upstream release.
    - Added options to collectd2html.pl to specify host and data directory
      (Closes: #438499).
    - Link against a thread-safe version of librrd.
    New plugins:
    - IPVS connection statistics: ipvs
    - Statistic of the memcached distributed caching system: memcached
    - Detailed Linux network interface and routing statistics: netlink (32bit
      systems only)
    - Nginx (a HTTP and E-Mail server/proxy) statistics: nginx
    - Values from SNMP enabled network devices: snmp
    - Number of TCP connections to specific ports: tcpconns
    - Bitrate and frequency of music played with XMMS: xmms
  * Updated init script to wait for collectd to shut down (Closes: #422208).
  * Merged all plugin packages into the collectd binary package.
  * Added README.Debian.plugins and gen_plugin_deps.pl to document the plugin
    dependencies.
  * Added collectd.overrides to override shlib-with-non-pic-code errors of
    plugins liked against static libraries which have not been linked with
    -fPIC.
  * Removed debian/examples/myplugin.c and debian/examples/MyPlugin.pm - they
    are included in the upstream sources now.
  * Added libcurl4-gnutls-dev as option to the libcurl3-gnutls-dev build
    dependency.

 -- Sebastian Harl <sh@tokkee.org>  Sun, 28 Oct 2007 13:38:21 +0100

collectd (4.0.7-1) experimental; urgency=low

  * New upstream release.
  * Disable iptables and nut plugins on hppa as well to work around a FTBFS
    caused by #358637 and presumably #419684 (Closes: #430933).
  * Changed collectd-dbg's section to "utils".
  * Added httpd-cgi to suggested packages.
  * Added documentation of the provided examples to README.Debian, thanks to
    Eduard Bloch for his proposal (Closes: #434182).

 -- Sebastian Harl <sh@tokkee.org>  Fri, 31 Aug 2007 10:04:41 +0200

collectd (4.0.3-1) experimental; urgency=low

  * New upstream release.

 -- Sebastian Harl <sh@tokkee.org>  Tue, 19 Jun 2007 21:41:21 +0100

collectd (4.0.2-1) experimental; urgency=low

  * New upstream release (Closes: #428114).
    - Added large file support (Closes: #422212).
    - Rewrite of the plugin system to allow more flexibility by using
      different types of plugins.
    - Added Nagios plugin to query collectd from Nagios.
    New plugins:
    - Output to "comma separated values" (CSV) files: csv
    - Output to RRD files: rrdtool
    - IO via the network: network
    - External runtime interface: unixsock
    - Embedding a Perl interpreter: perl
    - Logging to files, STDOUT or STDERR: logfile
    - Logging to syslog: syslog
    - Amount of available entropy: entropy
    - Execution of external programs: exec
    - Iptables statistics: iptables (32bit systems only)
    - IRQ counters: irq
    - UPS information: nut (32bit systems only)
  * New binary package collectd-perl (linking against libperl).
    - Added collectd-perl to suggested packages.
  * examples/myplugin.c: Converted to the new plugin interface.
  * Enabled debugging.
  * Added possibility to automatically migrate RRD files to collectd-4 using
    migrate-3-4.px and extractDS.px provided by upstream.
    - Added extractDS_path.dpatch to set an absolute path in migrate-3-4.px.
    - Using po-debconf to make translations of debconf templates possible.
  * Added NEWS.Debian with notes regarding the upgrade to collectd-4.
  * Updated init script to only start a single collectd process.
  * Added examples/MyPlugin.pm.
  * Added XS-Vcs-{Git,Browser} tags.
  * Added check_plugins.pl to check the build result of all plugins.
  * Do not build apple_sensors and tape plugins as they do not provide any
    functionality any longer.

 -- Sebastian Harl <sh@tokkee.org>  Wed, 13 Jun 2007 18:58:34 +0100

collectd (3.11.2-1) experimental; urgency=low

  * New upstream release.
  * Removed sensors-ignorelist.dpatch - has been merged upstream.
  * Removed email-ignore-size-le-0.dpatch - has been merged upstream.
  * Added watch file.
  * examples/myplugin.c: Pass "-" instead of NULL to plugin_submit().

 -- Sebastian Harl <sh@tokkee.org>  Thu, 15 Feb 2007 09:19:15 +0000

collectd (3.11.0-1) experimental; urgency=low

  * New upstream release.
    New plugins:
    - DNS traffic (query types, response codes, opcodes and traffic): dns
    - E-Mail statistics (count, traffic, spam scores and checks): email
    - Motherboard monitor: mbmon
    - Multimeter statistics: multimeter (beta version)
  * Upload to experimental because of Etch freeze.
  * New binary package collectd-dns (linking against libpcap).
    - Added collectd-dns to suggested packages.
  * Do not split off packages introducing new recommendations or suggestions.
    - Merge collectd-hddtemp into collectd.
    - Add hddtemp and mbmon to suggested packages.
  * Added sensors-ignorelist.dpatch: Avoid assertion in ignorelist_match ()
    when sensors plugin is not configured.
  * Added email-ignore-size-le-0.dpatch: Ignore the size of an email if it is
    less than or equal to zero.

 -- Sebastian Harl <sh@tokkee.org>  Sun, 24 Dec 2006 14:09:39 +0000

collectd (3.10.4-1) unstable; urgency=low

  * New upstream release.


=== debian/control ===
Source: collectd
Section: utils
Priority: optional
Maintainer: Sebastian Harl <sh@tokkee.org>
Build-Depends: debhelper (>= 5), po-debconf, dpatch, bison | byacc, flex, autotools-dev, libcurl4-gnutls-dev | libcurl3-gnutls-dev, libmysqlclient15-dev | libmysqlclient14-dev, librrd2-dev | librrd0-dev, libsensors-dev, liboping-dev (>= 0.3.3), libpcap0.8-dev | libpcap-dev, iptables-dev [!alpha !amd64 !hppa !ia64 !ppc64], nut-dev [!alpha !amd64 !hppa !ia64 !ppc64], libperl-dev, iproute-dev, libsnmp-dev | libsnmp9-dev, xmms-dev
Build-Conflicts: libpthread-dev
Standards-Version: 3.7.2
Vcs-Git: git://git.tokkee.org/pkg-collectd.git
Vcs-Browser: http://git.tokkee.org/?p=pkg-collectd.git

Package: collectd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: perl, rrdtool, ${shlibs:Recommends}
Suggests: collectd-dev, librrds-perl, liburi-perl, libhtml-parser-perl,
 httpd-cgi, hddtemp, mbmon
Conflicts: collectd-apache, collectd-dns, collectd-hddtemp, collectd-mysql,
 collectd-perl, collectd-ping, collectd-sensors
Provides: collectd-apache, collectd-dns, collectd-hddtemp, collectd-mysql,
 collectd-perl, collectd-ping, collectd-sensors
Replaces: collectd-apache, collectd-dns, collectd-hddtemp, collectd-mysql,
 collectd-perl, collectd-ping, collectd-sensors
Description: statistics collection daemon
 collectd is a small daemon which collects system information periodically and
 provides mechanismns to store the values in a variety of ways. It is written
 in C for performance. Since the daemon doesn't need to startup every time it
 wants to update the files it's very fast and easy on the system. Also, the
 statistics are very fine grained since the files are updated every 10
 seconds.
 .
 This package contains the main program file and the following plugins:
   * Apache and lighttpd statistics provided by mod_status: apache
   * APC UPS's charge, load, input/output/battery voltage, etc.: apcups
   * battery status: battery
   * CPU utilization: cpu
   * CPU frequency: cpufreq
   * output to comma separated values (CSV) files: csv
   * disk space usage: df
   * disk and partition throughput: disk
   * DNS traffic information: dns
   * E-Mail statistics (count, traffic, spam scores and checks): email
   * amount of available entropy: entropy
   * execution of external programs: exec
   * harddisk temperature: hddtemp
   * network traffic: interface
   * iptables statistics: iptables
   * IPVS connection statistics: ipvs
   * IRQ counters: irq
   * system load averages: load
   * logging to files, STDOUT and STDERR: logfile
   * motherboard monitor: mbmon
   * statistics of the memcached distributed caching system: memcached
   * memory usage: memory
   * multimeter statistics: multimeter
   * MySQL statistics provided by MySQL's "show status" command: mysql
   * detailed Linux network interface and routing statistics: netlink
   * IO via the network: network
   * NFS utilization: nfs
   * Nginx (a HTTP and E-Mail server/proxy) statistics: nginx
   * NTP daemon's local clock drift, offset to peers, etc.: ntpd
   * UPS information: nut
   * number of processes: processes
   * output to RRD files: rrdtool
   * embedded Perl interpreter: perl
   * network latency statistics: ping
   * lm_sensors information (e.g. CPU temperature, fan speeds): sensors
   * serial port traffic: serial
   * values from SNMP enabled network devices: snmp
   * swap usage: swap
   * logging to syslog: syslog
   * number of TCP connections to specific ports: tcpconns
   * external runtime interface: unixsock
   * number of users logged into the system: users
   * system resources used by Linux-VServers: vserver
   * wireless network stats: wireless
   * bitrate and frequency of music played with XMMS: xmms
 .
  Homepage: http://collectd.org/

Package: collectd-dbg
Section: utils
Architecture: any
Priority: extra
Depends: collectd (= ${binary:Version})
Description: statistics collection daemon (debugging symbols)
 collectd is a small daemon which collects system information periodically and
 provides mechanismns to store the values in a variety of ways. It is written
 in C for performance. Since the daemon doesn't need to startup every time it
 wants to update the files it's very fast and easy on the system. Also, the
 statistics are very fine grained since the files are updated every 10
 seconds.
 .
 This package contains the debugging symbols.

Package: collectd-dev
Architecture: all
Depends: collectd (>= ${source:Version}), collectd (<< 4.3~)
Description: statistics collection daemon (development files)
 collectd is a small daemon which collects system information periodically and
 provides mechanismns to store the values in a variety of ways. It is written
 in C for performance. Since the daemon doesn't need to startup every time it
 wants to update the files it's very fast and easy on the system. Also, the
 statistics are very fine grained since the files are updated every 10
 seconds.
 .
 This package contains the development files needed to create your own
 plugins.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for collectd
#
# Written by Sebastian Harl <sh@tokkee.org>.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g -I$(CURDIR)/debian/include

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

include /usr/share/dpatch/dpatch.make

confflags = --host=$(DEB_HOST_GNU_TYPE) \
			--build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--localstatedir=/var --sysconfdir=/etc \
			--with-perl-bindings="INSTALLDIRS=vendor" \
			--enable-debug

# These plugins do not provide any functionality under Linux.
confflags += --disable-apple_sensors --disable-tape

# The static libraries iptc, netstat and upsclient cannot be used on
# 64bit systems (see bugs #358637 and #419684 for more details).
ifneq (,$(findstring $(DEB_BUILD_ARCH),alpha amd64 hppa ia64 ppc64))
	confflags += --disable-iptables --disable-netlink --disable-nut
endif

config.status: configure $(DPATCH_STAMPFN)
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure $(confflags)

build: build-stamp

build-stamp: config.status
	dh_testdir
	
	$(MAKE)
	perl ./debian/bin/check_plugins.pl
	
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp
	
	[ ! -f Makefile ] || $(MAKE) distclean
	
	rm -f debian/README.Debian.plugins
	
	dh_clean 
	debconf-updatepo

install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i
	
	include_dir=debian/collectd-dev/usr/include/collectd/ \
		&& mkdir -p $$include_dir \
		&& cp src/*.h $$include_dir

install-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs -a
	
	$(MAKE) install DESTDIR=$(CURDIR)/debian/collectd
	
	rm -f debian/collectd/usr/lib/collectd/*.la
	
	rm -f debian/collectd/etc/collectd.conf
	install -D -m 0644 debian/collectd.conf \
		debian/collectd/etc/collectd/collectd.conf
	install -m 0644 debian/collection.conf \
		debian/collectd/etc/collectd/collection.conf
	
	mkdir -p debian/collectd/usr/lib/collectd/utils/
	for UTIL in extractDS.px migrate-3-4.px; do \
		cp contrib/$$UTIL debian/collectd/usr/lib/collectd/utils/; \
	done
	
	perl ./debian/bin/gen_plugin_deps.pl
	
	mkdir -p debian/collectd/usr/share/lintian/overrides/
	cp debian/collectd.overrides \
		debian/collectd/usr/share/lintian/overrides/collectd

binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs -i ChangeLog
	dh_installdocs -A -i debian/README.Debian AUTHORS README TODO
	dh_installexamples -i contrib/examples/myplugin.c \
		contrib/examples/MyPlugin.pm
	dh_compress -i -Xexamples/myplugin.c -Xexamples/MyPlugin.c
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs -a ChangeLog
	dh_installdocs -A -a debian/README.Debian AUTHORS README TODO
	dh_installdocs -a debian/NEWS.Debian debian/README.Debian.plugins
	dh_installexamples -a contrib/collectd2html.pl contrib/collection.cgi \
		contrib/exec-munin.conf contrib/exec-munin.px contrib/exec-smartctl \
		contrib/SpamAssassin/ contrib/iptables/ contrib/cussh.pl \
		contrib/snmp-data.conf
	dh_installdebconf -a
	dh_installinit -a -- defaults 95
	dh_installman -a src/collectd.1 src/collectd.conf.5
	dh_link -a
	dh_strip -a --dbg-package=collectd-dbg
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dpkg-shlibdeps -Tdebian/collectd.substvars \
		-dDepends debian/collectd/usr/bin/* debian/collectd/usr/sbin/* \
		-dRecommends debian/collectd/usr/lib/collectd/*.so
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install-indep install-arch

=== debian/watch ===
version=3
http://collectd.org/files/ collectd-(.*)\.tar\.gz

## collectd 5.0.3+modbus1

=== debian/changelog ===
collectd (5.0.3+modbus1) squeeze; urgency=low

  * collectd compiled with modbus 2.9.2

 -- Stefan Steiner <stefan.steiner@noris.de>  Tue, 06 Mar 2012 12:18:50 +0100

collectd (5.0.3) unstable; urgency=low

  * Initial Release.

 -- Stefan Steiner <stefan.steiner@noris.de>  Tue, 06 Mar 2012 10:27:48 +0100

=== debian/control ===
Source: collectd
Section: noris/misc
Priority: extra
Maintainer: Stefan Steiner <stefan.steiner@noris.de>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev
Standards-Version: 3.8.4
Homepage: mirror.noris.net
#Vcs-Git: git://git.debian.org/collab-maint/collectd.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/collectd.git;a=summary

Package: collectd-modbus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The collection monitoring deamon with modbus
 The collection monitoring deamon collectd version 5.0.3
 by Florian (octo) Forster compiled with libmodbus Version
 2.9.2.

## collectd 5.5.0

=== debian/changelog ===
collectd (5.5.0-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Set jessie-backports as gbp branch. 

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 01 Oct 2015 14:39:43 +0200

collectd (5.5.0-3) unstable; urgency=medium

  * debian/rules, debian/control:
    - Avoid hiding compiler options at build time, allowing the buildd log
      scanner to do it's job.
    - Disable smart plugin on non-linux platforms, due to missing
      libatasmart-dev build-dependency.
  * debian/collectd-core.overrides:
    - Update 'capitalization-error-in-description' lintian override.
  * debian/rules, debian/collectd-core.collectd.service:
    - Rename systemd service file to collectd-core.collectd.service, to honour
      debhelper's naming convention.
  * debian/collectd-core.collectd.service:
    - Check for configuration file presence before starting the daemon.
    - Check for configuration file validity before starting the daemon.
  * debian/control, debian/changelog:
    - Update my email address to match identity of current GPG key.

 -- Marc Fournier <marc@bl.uem.li>  Sun, 13 Sep 2015 21:42:53 +0200

collectd (5.5.0-2) unstable; urgency=low

  * debian/rules:
    - Disable the turbostat plugin on !amd64,!i386; it's Intel-hardware
      specific.

 -- Sebastian Harl <tokkee@debian.org>  Sun, 23 Aug 2015 15:35:26 +0200

collectd (5.5.0-1) unstable; urgency=medium

  [ Marc Fournier ]
  * New upstream release:
    - Battery plugin now prefers sysfs over (the deprecated) procfs for
      reading values; thanks to Witold Baryluk for reporting this
      (Closes: #630337).
    - The configuration supports unquoted IPv6 addresses now; thanks to Geoff
      Crompton for reporting this (Closes: #632713).
    - Fixed a FTBFS using clang; thanks to Arthur Marble for reporting this
      and providing a patch (Closes: #758481).
    - collection.cgi now supports the df_complex types; thanks to Joel Franco
      Guzmán for reporting this (Closes: #739625).
    - Fixed an off-by-one error in the AVL tree implementation that broke
      setups using only one threshold definition; thanks to Alexander Golovko
      for reporting this (Closes: #754230).
    - The disk plugin now (optionally) supports instance names based on a udev
      attribute; thanks to Trent W. Buck for reporting this (Closes: #632936).
  * debian/patches:
    - Removed bts559801_plugin_find_fix.dpatch; merged upstream.
    - Removed bts747093_lvm_segfault.dpatch; merged upstream.
    - Removed bts750440_config_segfault.dpatch; merged upstream.
    - Removed bts770681_riemann_ack.dpatch; merged upstream.
    - Removed bts770683_curl_init.dpatch; merged upstream.
    - Removed bts770688_snmp_memleak.dpatch; merged upstream.
    - Removed bts770690_java_jni_thread_detach.dpatch; merged upstream.
    - Removed bts770693_timestamps.dpatch; merged upstream.
    - Removed bts770694_loglevel.dpatch; merged upstream.
    - Removed collection.cgi.dpatch; merged upstream.
    - Removed myplugin_api.dpatch; merged upstream.
  * debian/rules, debian/collectd-dev.install, myplugin_includes.dpatch:
    - Update path to header files moved to daemon/ subdirectory upstream.
  * debian/rules, debian/control:
    - Enable redis, write_redis plugins and add Build-depend on
      libhiredis-dev (previous versions depended on credis which wasn't
      packaged in Debian).
    - Enable sigrok and uncomment Build-depend on libsigrok-dev.
    - Re-enable varnish and uncomment Build-depend on libvarnishapi-dev
      (support for varnish 4.x was added upstream).
    - Enable zfs_arc (support for ZFS on linux was added upstream).
    - Add Build-depend on libatasmart-dev (required to build new smart
      plugin).
    - Add Build-depend on libcap-dev (used to avoid running new turbostat
      plugin as root on Linux).
    - Add Build-depend on libi2c-dev (required to build new barometer plugin).
    - Add Build-depend on libldap2-dev (required to build new openldap
      plugin).
    - Add Build-depend on librdkafka-dev (required to build new write_kafka
      plugin).
    - Add Build-depend on libudev-dev (used by disk plugin to enable
      udev-based device renaming on Linux) (Closes: #588153, #632936).
  * debian/control, debian/rules, debian/collectd.service:
    - Add systemd service file (Closes: #762586)
  * debian/libcollectdclient1.symbols
    - Updated for 5.5.

  [ Sebastian Harl ]
  * debian/control:
    - Add virtual-mysql-server as an alternative to the mysql-server suggests;
      thanks to Otto Kekäläinen for reporting this (Closes: 781980).
    - Add Marc to uploaders.
    - Update standards-version to 3.9.6 (no changes).
  * debian/po:
    - Update Dutch debconf template translation; thanks to Frans Spiesschaert
      (Closes: #763783).
  * Convert the package to "3.0 (quilt)" format; thanks to YunQiang Su for an
    initial patch (Closes: #688719):
    - Build-depend on debhelper (>= 7.0.50~) and drop dpatch.
    - Renamed patch files from *.dpatch to *.patch and drop the dpatch header.
    - Changed debian/patches/00list to debian/patches/series.
    - Drop all patch operations from debian/rules.
  * debian/collectd-core.overrides:
    - Update the JRE path for the rpath override.

 -- Marc Fournier <marc.fournier@camptocamp.com>  Fri, 21 Aug 2015 13:29:17 +0200

collectd (5.4.1-6) unstable; urgency=medium

  * debian/patches:
    - Added bts770681_riemann_ack: upstream fix for the write_riemann plugin
      to avoid locking up a remote Riemann instance; thanks to Marc Fournier
      for reporting this (Closes: #770681).
    - Added bts747093_lvm_segfault: upstream fix for a segfault in the LVM
      plugin; thanks to Bernd Zeimetz and Marc Fournier for reporting this
      (Closes: #747093).
    - Added bts770683_curl_init: upstream fix for a segfault in plugins using
      libcurl caused by concurrent memory access; thanks to Marc Fournier for
      reporting this (Closes: #770683, cf. #735173).


=== debian/rules ===
#! /usr/bin/make -f
# debian/rules for collectd
#
# Written by Sebastian Harl <tokkee@debian.org>.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
CPPFLAGS += -I$(CURDIR)/debian/include
CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += -Wall -Wno-error=deprecated-declarations

# There is no way to tell lt_dlopen() to use the RTLD_GLOBAL flag which is
# however required by the perl plugin (which would otherwise be unable to find
# symbols defined in libperl when loading perl modules that require such
# symbols). This is a workaround for this issue.
CPPFLAGS += -DLT_LAZY_OR_NOW='RTLD_LAZY|RTLD_GLOBAL'

# Upstream defaults to ${sysconfdir}/collectd.conf. Setting ${sysconfdir} to
# /etc/collectd would be wrong though.
CPPFLAGS += -UCONFIGFILE
CPPFLAGS += -DCONFIGFILE='\"/etc/collectd/collectd.conf\"'

# A PostgreSQL header redefines CACHE_LINE_SIZE on FreeBSD.
# Cf. https://bugs.debian.org/760719 and https://bugs.debian.org/763098
ifneq (,$(filter kfreebsd-i386 kfreebsd-amd64, $(DEB_BUILD_ARCH)))
	CPPFLAGS += -Wp,-w
endif

LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

# The archdir map has been copied from openjdk-6's debian/rules.
JAVA_ARCHDIR = $(shell /usr/share/javahelper/java-arch.sh $(DEB_BUILD_ARCH))
ifeq (,$(JAVA_ARCHDIR))
	JAVA_ARCHDIR = $(DEB_BUILD_ARCH)
endif
JAVA_HOME = /usr/lib/jvm/default-java
JAVA_LIBDIR = $(JAVA_HOME)/jre/lib/$(JAVA_ARCHDIR)/server

JAVAC = $(JAVA_HOME)/bin/javac
JAR = $(JAVA_HOME)/bin/jar
JAVA_CPPFLAGS = -I$(JAVA_HOME)/include
JAVA_LDFLAGS = -L$(JAVA_LIBDIR) -Wl,-rpath -Wl,$(JAVA_LIBDIR)

confflags = --host=$(DEB_HOST_GNU_TYPE) \
			--build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--localstatedir=/var --sysconfdir=/etc \
			--with-perl-bindings="INSTALLDIRS=vendor INSTALL_BASE=" \
			--without-libstatgrab \
			--without-included-ltdl \
			--disable-static \
			--disable-silent-rules \
			--enable-all-plugins

# These plugins do not provide any functionality under Linux.
# MacOS only (requires IO Kit):
confflags += --disable-apple_sensors
# AIX only (requires perfstat):
confflags += --disable-lpar
# Solaris only (requires devinfo and kstat)
confflags += --disable-tape

# libaquaero5 is required for the aquaero plugin
confflags += --disable-aquaero

# libmic is required for the mic plugin
confflags += --disable-mic

# libnetapp is required for the netapp plugin.
confflags += --disable-netapp

# libclntsh is required for the oracle plugin.
confflags += --disable-oracle

# librouteros is required for the routeros plugin.
confflags += --disable-routeros

# libmongoc is required for the write_mongodb plugin.
confflags += --disable-write_mongodb

# xmms1 is required for the xmms plugin.
confflags += --disable-xmms

# These plugins are Linux-specific.
ifneq (,$(filter kfreebsd-i386 kfreebsd-amd64, $(DEB_BUILD_ARCH)))
	confflags += \
		--disable-cgroups \
		--disable-ethstat \
		--disable-iptables \
		--disable-ipvs \
		--disable-lvm \
		--disable-madwifi \
		--disable-md \
		--disable-netlink \
		--disable-numa \
		--disable-sensors \
		--disable-vserver
endif

# This plugin is FreeBSD-specific.
ifeq (,$(filter kfreebsd-i386 kfreebsd-amd64, $(DEB_BUILD_ARCH)))
	confflags += \
		--disable-pf
endif

# These plugins have not been ported to FreeBSD yet.
ifneq (,$(filter kfreebsd-i386 kfreebsd-amd64, $(DEB_BUILD_ARCH)))
	# Work-around an incomplete check for kvm functionality
	CPPFLAGS  += -DHAVE_STRUCT_KINFO_PROC_FREEBSD
	confflags += --enable-processes=force

	confflags += \
		--disable-battery \
		--disable-conntrack \
		--disable-contextswitch \
		--disable-cpufreq \
		--disable-disk \
		--disable-entropy \
		--disable-fscache \
		--disable-irq \
		--disable-nfs \
		--disable-protocols \
		--disable-serial \
		--disable-thermal \
		--disable-vmem \
		--disable-wireless
endif

# Build-dependencies of these plugins are (not yet) available for kfreebsd.
ifneq (,$(filter kfreebsd-i386 kfreebsd-amd64, $(DEB_BUILD_ARCH)))
	confflags += \
		--disable-gmond \
		--disable-virt \
		--disable-tokyotyrant \
		--disable-java
endif

# This plugin is Intel-hardware specific.
ifeq (,$(filter amd64 i386, $(DEB_BUILD_ARCH)))
	confflags += \
		--disable-turbostat
endif

# libatasmart isn't available on these platforms.
ifneq (,$(filter hurd-i386 kfreebsd-i386 kfreebsd-amd64, $(DEB_BUILD_ARCH)))
	confflags += --disable-smart
endif

# The hppa buildds currently do not keep up with Java related stuff, thus
# prevending testing transitions. sparc is also having trouble building the
# java plugin.
ifneq (,$(filter hppa sparc, $(DEB_BUILD_ARCH)))
	confflags += --disable-java
endif

config.status: configure
	dh_testdir
	
	# This is a work-around for #474087 (broken openipmi .pc files).
	mkdir debian/pkgconfig
	sed -re 's/^(Requires:.*) pthread(.*)$$/\1\2/' \
		/usr/lib/pkgconfig/OpenIPMIpthread.pc \
		> debian/pkgconfig/OpenIPMIpthread.pc
	
	PKG_CONFIG_PATH="$(CURDIR)/debian/pkgconfig:$$PKG_CONFIG_PATH" \
	./configure $(confflags) CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
		JAVAC="$(JAVAC)" JAR="$(JAR)" JAVA_CPPFLAGS="$(JAVA_CPPFLAGS)" \
		JAVA_LDFLAGS="$(JAVA_LDFLAGS)" \
		|| ( status=$$?; cat config.log; exit $$status )

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: config.status
	dh_testdir
	
	$(MAKE)
	perl ./debian/bin/check_plugins.pl
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	
	[ ! -f Makefile ] || $(MAKE) distclean
	
	rm -f debian/README.Debian.plugins
	rm -f src/*.1 src/*.5
	
	rm -rf debian/pkgconfig
	
	dh_clean
	debconf-updatepo

install-indep:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -i
	dh_install -i
	
	# update include path for collectd header files
	(	set -e; \
		cd $(CURDIR)/debian/collectd-dev/usr/include/collectd/; \
		for lib in $$(find . -type f -name '*.h'); do \
			libname=$$(basename $$lib); \
			fullpath=$$(echo $$lib | sed -r -e 's,^\./,collectd/,'); \
			for dir in $$(find . -mindepth 1 -type d); do \
				sed -r -i -e "s,(include\s+)\".*$$libname\",\1\"$$fullpath\"," $$dir/*.h; \
			done; \
		done )

install-arch: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -a
	
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	
	rm -f debian/tmp/usr/lib/collectd/*.la
	rm -f debian/tmp/usr/lib/libcollectdclient.la
	rm -f debian/tmp/etc/collectd.conf
	
	dh_install -a --sourcedir=$(CURDIR)/debian/tmp --fail-missing
	
	perl ./debian/bin/gen_plugin_deps.pl
	
	mkdir -p debian/collectd-core/usr/share/lintian/overrides/
	cp debian/collectd-core.overrides \
		debian/collectd-core/usr/share/lintian/overrides/collectd-core

binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs -i ChangeLog
	dh_installdocs -A -i debian/README.Debian AUTHORS README TODO
	dh_installexamples -i contrib/examples/myplugin.c \
		contrib/examples/MyPlugin.pm
	dh_compress -i -Xexamples/
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs -a ChangeLog
	dh_installdocs -A -a debian/README.Debian AUTHORS README TODO
	dh_installdocs -a debian/NEWS.Debian debian/README.Debian.plugins
	dh_installexamples -a contrib/collectd2html.pl contrib/collection.cgi \
		contrib/collection3/ contrib/php-collection/ \
		contrib/exec-munin.conf contrib/exec-munin.px contrib/exec-smartctl \
		contrib/exec-nagios.conf contrib/exec-nagios.px contrib/exec-ksm.sh \
		contrib/SpamAssassin/ contrib/iptables/ contrib/cussh.pl \

## collectd 5.5.1

=== debian/changelog ===
collectd (5.5.1-4) unstable; urgency=medium

  * debian/control:
    - Add dh-autoreconf to Build-Depends.
    - Update standards-version to 3.9.8 (no changes).

 -- Marc Fournier <marc@bl.uem.li>  Tue, 31 May 2016 18:16:43 +0200

collectd (5.5.1-3) unstable; urgency=medium

  * Re-enable gmond plugin. Thanks to Michael Tautschnig and Jean-Michel
    Vourgère for fixing #812462.
  * debian/patches:
    - Add bts823012_librrd8.patch. Properly detect thread safety with librrd8.
      Thanks to Jean-Michel Vourgère for the patch (Closes: #823012).
  * debian/collectd.conf:
    - Add missing example blocks in main configuration file (Closes: #806196).

 -- Marc Fournier <marc@bl.uem.li>  Wed, 25 May 2016 23:14:14 +0200

collectd (5.5.1-2) unstable; urgency=medium

  * Disable the gmond plugin for now. Ganglia is not available in testing
    (cf. #812462). Thanks to Santiago Vila for reporting this
    (Closes: #819241).
  * Update standards-version to 3.9.7 (no changes).

 -- Sebastian Harl <tokkee@debian.org>  Sat, 02 Apr 2016 11:02:49 +0200

collectd (5.5.1-1) unstable; urgency=medium

  * New upstream release:
    - The "LC_NUMERIC" locale is now forced to "C", preventing problems on
      environments where the locale uses a comma as decimal separator. Thanks
      to Hubert Jarosz for reporting this (Closes: #799289).
    - Fixed FTBFS with GCC 6.0; thanks to Martin Michlmayr for reporting this
      (Closes: #811580).
  * debian/patches:
    - Removed bts802249_varnish_41.patch; implemented upstream.
  * debian/collectd.conf:
    - Sync with upstream changes since 5.5.0.

 -- Marc Fournier <marc@bl.uem.li>  Fri, 22 Jan 2016 16:53:49 +0100

collectd (5.5.0-4) unstable; urgency=medium

  * debian/collectd-core.overrides:
    - Update 'binary-or-shlib-defines-rpath' lintian override.
  * debian/rules:
    - Strip out non-deterministic bits out of generated jar files.
    - Remove RTLD_GLOBAL workaround, which was fixed upstream.
  * debian/patches:
    - Add bts802249_varnish_41.patch (Closes: #802249)

 -- Marc Fournier <marc@bl.uem.li>  Mon, 16 Nov 2015 21:03:31 +0100

=== debian/control ===
Source: collectd
Section: utils
Priority: optional
Maintainer: Sebastian Harl <tokkee@debian.org>
Uploaders: Marc Fournier <marc@bl.uem.li>
Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.14.10), po-debconf, dh-systemd (>= 1.5), dh-strip-nondeterminism, dh-autoreconf,
 bison, flex, autotools-dev, libltdl-dev, pkg-config,
 iptables-dev (>= 1.4.3.2-2) [linux-any],
 javahelper,
 kfreebsd-kernel-headers [kfreebsd-any],
 libatasmart-dev [linux-any],
 libcap-dev [linux-any],
 libcurl4-gnutls-dev (>= 7.18.2-5) | libcurl4-gnutls-dev (<= 7.18.2-1) | libcurl3-gnutls-dev,
 libdbi0-dev,
 libesmtp-dev,
 libganglia1-dev (>= 3) [linux-any],
 libgcrypt11-dev,
 libglib2.0-dev,
 libhiredis-dev,
 libi2c-dev,
 libkvm-dev [kfreebsd-any],
 libldap2-dev,
 liblvm2-dev [linux-any],
 libmemcached-dev,
 libmodbus-dev,
 libmnl-dev [linux-any],
 libmysqlclient-dev,
 libnotify-dev,
 libopenipmi-dev,
 liboping-dev (>= 0.3.3),
 libow-dev,
 libpcap0.8-dev | libpcap-dev,
 libperl-dev,
 libpq-dev,
 libprotobuf-c-dev,
 librdkafka-dev,
 librabbitmq-dev,
 librrd-dev (>= 1.4~),
 libsensors4-dev [linux-any],
 libsigrok-dev (>= 0.2~),
# libsnmp-dev (>= 5.4.2.1~dfsg-4~) | (libsnmp-dev & perl (<< 5.10.1~rc2-1~))
 libsnmp-dev (>= 5.4.2.1~dfsg-4~) | libsnmp-dev | libsnmp9-dev,
 libsnmp-dev (>= 5.4.2.1~dfsg-4~) | perl (<< 5.10.1~rc2-1~),
 libtokyocabinet-dev [linux-any],
 libtokyotyrant-dev [linux-any],
 libudev-dev [linux-any],
 libupsclient-dev | libupsclient1-dev,
 libvarnishapi-dev,
 libvirt-dev (>= 0.4.0-6) [linux-any],
 libxml2-dev,
 libyajl-dev,
 linux-libc-dev (>= 2.6.25-4) [linux-any] | linux-libc-dev (<< 2.6.25-1) [linux-any],
 default-jdk [!hppa !sparc !kfreebsd-i386 !kfreebsd-amd64],
 protobuf-c-compiler,
 python-dev
Build-Conflicts: libpthread-dev, libhal-dev
Standards-Version: 3.9.8
Homepage: http://collectd.org/
Vcs-Git: git://git.tokkee.org/pkg-collectd.git
Vcs-Browser: http://git.tokkee.org/?p=pkg-collectd.git

Package: collectd-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: perl, rrdtool
Suggests: collectd-dev,
# collection.cgi / collection3 dependencies
 librrds-perl, liburi-perl, libhtml-parser-perl, libregexp-common-perl,
 libconfig-general-perl, httpd-cgi,
# services providing data that may be collected by collectd
 apache2, apcupsd, bind9, ceph, hddtemp, iptables, ipvsadm, lm-sensors, mbmon,
 memcached, mysql-server | virtual-mysql-server, nginx, notification-daemon, nut, openvpn, olsrd,
 pdns-server, postgresql, redis-server, slapd, time-daemon, varnish, zookeeper,
 ${shlibs:Suggests}, default-jre-headless
Replaces: collectd (<< 4.8.2-1~)
Description: statistics collection and monitoring daemon (core system)
 collectd is a small daemon which collects system information periodically and
 provides mechanisms to monitor and store the values in a variety of ways.
 Since the daemon doesn't need to startup every time it wants to update the
 values it's very fast and easy on the system. Also, the statistics are very
 fine grained since the files are updated every 10 seconds by default.
 .
 The collected information can be used to find current performance bottlenecks
 (performance analysis) and predict future system load (capacity planning).
 .
 This package contains the main program file and the plugins listed below (some
 of those plugins require additional libraries - for more details see
 /usr/share/doc/collectd-core/README.Debian.plugins) but no configuration. For
 a full installation (including configuration), see the "collectd" package.
 This package allows sites to, e.g., provide customizations (like a custom
 default configuration) on top of it without having to modify the "collectd"
 package.
 .
   * AMQP output plugin: amqp
   * Apache and lighttpd statistics provided by mod_status: apache
   * APC UPS's charge, load, input/output/battery voltage, etc.: apcups
   * Ascent server statistics: ascent
   * Bosch and Freescale barometers: barometer
   * battery status: battery
   * bind9 name-server and zone statistics: bind
   * Ceph distributed storage system statitics: ceph
   * CGroups resource usage: cgroups
   * connection tracking table size: conntrack
   * number of context switches done by the operating system: contextswitch
   * CPU utilization: cpu
   * CPU frequency: cpufreq
   * output to comma separated values (CSV) files: csv
   * parse statistics from websites: curl
   * parse JSON files: curl_json
   * parse XML data: curl_xml
   * query data from a relational database: dbi
   * disk space usage: df
   * disk and partition throughput: disk
   * DNS traffic information: dns
   * Distributed Replicated Block Device status: drbd
   * E-Mail statistics (count, traffic, spam scores and checks): email
   * amount of available entropy: entropy
   * execution of external programs: exec
   * count the number of open file handles: fhcount
   * count the number of files in directories: filecount
   * Linux file-system based caching framework statistics: fscache
   * query data from Java processes using JMX: GenericJMX (Java based plugin)
   * receive and interpret Ganglia multicast traffic: gmond
   * harddisk temperature: hddtemp
   * network traffic: interface
   * IPC statistics: ipc
   * IPMI sensors information: ipmi
   * iptables statistics: iptables
   * IPVS connection statistics: ipvs
   * IRQ counters: irq
   * embedded Java Virtual Machine: java
   * system load averages: load
   * logging to files, STDOUT and STDERR: logfile
   * logging in logstash's JSON event format: log_logstash
   * Logical Volume Manager usage: lvm
   * Atheros wireless LAN chipset statistics: madwifi
   * motherboard monitor: mbmon
   * query and parse data from a memcache daemon: memcachec
   * statistics of the memcached distributed caching system: memcached
   * memory usage: memory
   * read values from Modbus/TCP enabled devices: modbus
   * statistics from mon.itor.us: Monitorus (Perl based plugin)
   * multimeter statistics: multimeter
   * MySQL statistics provided by MySQL's "show status" command: mysql
   * detailed Linux network interface and routing statistics: netlink
   * IO via the network: network
   * NFS utilization: nfs
   * Nginx (a HTTP and E-Mail server/proxy) statistics: nginx
   * send desktop notifications to a notification daemon: notify_desktop
   * send notification E-mails: notify_email
   * NTP daemon's local clock drift, offset to peers, etc.: ntpd
   * UPS information: nut
   * Optimized Link State Routing daemon statistics: olsrd
   * OpenLDAP's cn=Monitor statistics: openldap
   * OpenVPN traffic and compression statistics: openvpn
   * OpenVZ statistics: OpenVZ (Perl based plugin)
   * embedded Perl interpreter: perl
   * timing values from Pinba: pinba
   * network latency statistics: ping
   * PostgreSQL database statistics: postgresql
   * PowerDNS name server statistics: powerdns
   * number of processes: processes
   * information about network protocols: protocols
   * embedded Python interpreter: python
   * Redis server statistics: redis
   * write data via the RRD accelerator daemon: rrdcached
   * output to RRD files: rrdtool
   * lm_sensors information (e.g. CPU temperature, fan speeds): sensors
   * serial port traffic: serial
   * values from SNMP enabled network devices: snmp
   * aggregate values received with the StatsD protocol: statsd
   * sigrok-supported device measurements: sigrok
   * SMART statistics: smart
   * swap usage: swap
   * logging to syslog: syslog
   * parse table-like structured files: table
   * incremental parsing of logfiles: tail
   * incremental parsing of CSV files: tail_csv
   * number of TCP connections to specific ports: tcpconns
   * TeamSpeak2 server statistics: teamspeak2
   * power consumption measurements from "The Energy Detective" (TED): ted
   * Linux ACPI thermal zone information: thermal
   * check thresholds and for missing values: threshold
   * statistics from Intel turbo-capable processors: turbostat
   * Tokyo Tyrant server statistics: tokyotyrant
   * external runtime interface: unixsock
   * system uptime: uptime
   * number of users logged into the system: users
   * set the hostname to an unique identifier: uuid
   * Varnish HTTP accelerator daemon statistics: varnish
   * CPU, disk, network statistics of guest systems: virt
   * detailed virtual memory statistics: vmem
   * system resources used by Linux-VServers: vserver
   * wireless network stats: wireless
   * send collected values to a graphite server: write_graphite
   * send collected values to a web-server: write_http
   * send collected values to an Apache Kafka message broker: write_kafka
   * send collected values to the logging subsystem: write_log
   * send collected values to a Redis server: write_redis
   * send collected values to a Riemann server: write_riemann
   * send collected values to a Sensu client: write_sensu
   * send collected values to an OpenTSDB server: write_tsdb
   * ZFS's Adaptive Replacement Cache statistics: zfs_arc
   * data from Zookeeper's MNTR command: zookeeper

Package: collectd
Architecture: any
Depends: collectd-core, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${shlibs:Recommends}, default-jre-headless
Description: statistics collection and monitoring daemon
 collectd is a small daemon which collects system information periodically and
 provides mechanisms to monitor and store the values in a variety of ways.
 Since the daemon doesn't need to startup every time it wants to update the
 values it's very fast and easy on the system. Also, the statistics are very
 fine grained since the files are updated every 10 seconds by default.
 .
 The collected information can be used to find current performance bottlenecks
 (performance analysis) and predict future system load (capacity planning).
 .
 This package provides a full installation of the daemon, including the
 configuration. For the core system, see the "collectd-core" package, which
 allows sites to, e.g., provide customizations (like a custom default
 configuration) on top of it without having to modify the "collectd" package.

Package: collectd-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: collectd
Suggests: nagios3 | nagios2
Replaces: collectd (<< 4.6.1-1~)
Description: statistics collection and monitoring daemon (utilities)
 collectd is a small daemon which collects system information periodically and
 provides mechanisms to monitor and store the values in a variety of ways.
 Since the daemon doesn't need to startup every time it wants to update the
 values it's very fast and easy on the system. Also, the statistics are very
 fine grained since the files are updated every 10 seconds by default.
 .
 This package contains the following utility:
 .
   * collectdctl: Control interface for collectd
   * collectd-nagios: Nagios plugin for querying collectd

Package: collectd-dbg
Section: debug
Architecture: any
Priority: extra
Depends: collectd-core (= ${binary:Version}), ${misc:Depends}
Recommends: collectd-utils (= ${binary:Version}),
 libcollectdclient1 (= ${binary:Version})
Description: statistics collection and monitoring daemon (debugging symbols)
 collectd is a small daemon which collects system information periodically and
 provides mechanisms to monitor and store the values in a variety of ways.
 Since the daemon doesn't need to startup every time it wants to update the
 values it's very fast and easy on the system. Also, the statistics are very
 fine grained since the files are updated every 10 seconds by default.
 .
 This package contains the debugging symbols.

Package: collectd-dev
Architecture: all
Depends: collectd-core (>= ${source:Version}), collectd-core (<< 5.6~),
 ${misc:Depends}
Description: statistics collection and monitoring daemon (development files)
 collectd is a small daemon which collects system information periodically and
 provides mechanisms to monitor and store the values in a variety of ways.

=== debian/rules ===
--- 
+++ 
@@ -18,12 +18,6 @@
 CPPFLAGS += -I$(CURDIR)/debian/include
 CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
 CFLAGS += -Wall -Wno-error=deprecated-declarations
-
-# There is no way to tell lt_dlopen() to use the RTLD_GLOBAL flag which is
-# however required by the perl plugin (which would otherwise be unable to find
-# symbols defined in libperl when loading perl modules that require such
-# symbols). This is a workaround for this issue.
-CPPFLAGS += -DLT_LAZY_OR_NOW='RTLD_LAZY|RTLD_GLOBAL'
 
 # Upstream defaults to ${sysconfdir}/collectd.conf. Setting ${sysconfdir} to
 # /etc/collectd would be wrong though.
@@ -165,6 +159,7 @@
 
 config.status: configure
 	dh_testdir
+	dh_autoreconf
 	
 	# This is a work-around for #474087 (broken openipmi .pc files).
 	mkdir debian/pkgconfig
@@ -202,6 +197,7 @@
 	
 	rm -rf debian/pkgconfig
 	
+	dh_autoreconf_clean
 	dh_clean
 	debconf-updatepo
 
@@ -268,3 +264,8 @@
 		contrib/exec-munin.conf contrib/exec-munin.px contrib/exec-smartctl \
 		contrib/exec-nagios.conf contrib/exec-nagios.px contrib/exec-ksm.sh \
 		contrib/SpamAssassin/ contrib/iptables/ contrib/cussh.pl \
+		contrib/snmp-data.conf contrib/add_rra.sh contrib/network-proxy.py \
+		contrib/collectd_network.py contrib/collectd_unixsock.py \
+		contrib/snmp-probe-host.px contrib/GenericJMX.conf \
+		contrib/postgresql \
+		debian/collectd.conf debian/filters.conf debian/thresholds.conf
